import type { AnyServiceLocals, RequestLocals, ServiceLocals } from './types.js';
import { ConfigurationSchema } from './config/schema.js';
interface BootstrapArguments {
    name?: string;
    main?: string;
    root?: string;
    built?: boolean;
    packageDir?: string;
    telemetry?: boolean;
    nobind?: boolean;
    version?: string;
}
export declare function bootstrap<SLocals extends AnyServiceLocals = ServiceLocals<ConfigurationSchema>, RLocals extends RequestLocals = RequestLocals>(argv?: BootstrapArguments): Promise<{
    app: import("./types.js").ServiceExpress<SLocals>;
    codepath: "build" | "src" | "dist" | undefined;
    server: import("http").Server<typeof import("http").IncomingMessage, typeof import("http").ServerResponse> | import("https").Server<typeof import("http").IncomingMessage, typeof import("http").ServerResponse>;
} | {
    server: import("http").Server<typeof import("http").IncomingMessage, typeof import("http").ServerResponse> | import("https").Server<typeof import("http").IncomingMessage, typeof import("http").ServerResponse> | undefined;
    app: import("./types.js").ServiceExpress<SLocals>;
    codepath: "build" | "src" | "dist";
}>;
export {};
