import type { RequestHandler, ErrorRequestHandler } from 'express';
import { Histogram } from '@opentelemetry/api';
import type { AnyServiceLocals, ServiceExpress, ServiceLocals } from '../types.js';
import { ConfigurationSchema } from '../config/schema.js';
export declare function loggerMiddleware<SLocals extends AnyServiceLocals = ServiceLocals<ConfigurationSchema>>(app: ServiceExpress<SLocals>, histogram: Histogram, config?: ConfigurationSchema['logging']): RequestHandler;
export declare function errorHandlerMiddleware<SLocals extends AnyServiceLocals = ServiceLocals<ConfigurationSchema>>(app: ServiceExpress<SLocals>, histogram: Histogram, unnest?: boolean, returnError?: boolean): ErrorRequestHandler<import("express-serve-static-core").ParamsDictionary, any, any, import("qs").ParsedQs, Record<string, any>>;
export declare function notFoundMiddleware(): RequestHandler;
